Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
jdpostct.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_post_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_post_controller * | my_post_ptr

## Functions
| METHODDEF (void) post_process_1pass JPP((j_decompress_ptr cinfo
| start_pass_dpost (j_decompress_ptr cinfo, J_BUF_MODE pass_mode)
| post_process_1pass (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| jinit_d_post_controller (j_decompress_ptr cinfo, boolean need_full_buffer)

## Variables
JSAMPIMAGE | input_buf
JSAMPIMAGE JDIMENSION * | in_row_group_ctr
JSAMPIMAGE JDIMENSION JDIMENSION | in_row_groups_avail
JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY | output_buf
JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY JDIMENSION * | out_row_ctr
JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY JDIMENSION JDIMENSION | out_rows_avail

## Macro Definition Documentation

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ my_post_ptr

typedef my_post_controller* my_post_ptr

## Function Documentation

## ◆ jinit_d_post_controller()

jinit_d_post_controller | ( | j_decompress_ptr | cinfo,
|  | boolean | need_full_buffer )

## ◆ METHODDEF()

METHODDEF | ( | void |  | ) |

## ◆ post_process_1pass()

post_process_1pass | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail )

## ◆ start_pass_dpost()

start_pass_dpost | ( | j_decompress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode )

## Variable Documentation

## ◆ in_row_group_ctr

JSAMPIMAGE JDIMENSION* in_row_group_ctr

## ◆ in_row_groups_avail

JSAMPIMAGE JDIMENSION JDIMENSION in_row_groups_avail

## ◆ input_buf

JSAMPIMAGE input_buf

## ◆ out_row_ctr

JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY JDIMENSION* out_row_ctr

## ◆ out_rows_avail

JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY JDIMENSION JDIMENSION out_rows_avail

## ◆ output_buf

JSAMPIMAGE JDIMENSION JDIMENSION JSAMPARRAY output_buf